import Taro from '@tarojs/taro';
import api from './api';

/**
 * Promise封装wx.checkSession
 */
function checkSession() {
  return new Promise(function(resolve, reject) {
    Taro.checkSession({
      success: function() {
        resolve(true);
      },
      fail: function() {
        reject(false);
      }
    })
  });
}

/**
 * Promise封装wx.login
 */
function login() {
  return new Promise(function(resolve, reject) {
    Taro.login({
      success: function(res) {
        if (res.code) {
          resolve(res);
        } else {
          reject(res);
        }
      },
      fail: function(err) {
        reject(err);
      }
    });
  });
}

/**
 * 调用微信登录
 */
export function loginByWeixin(data) {
  
  return new Promise(function(resolve, reject) {
    return login().then((res) => {
      console.log(res)
      //登录远程服务器
      Taro.setStorageSync('access-token', 'Basic bWVldGluZy13ZWI6bWVldGluZy13ZWI=')
      api.postForm('/admin/skipAuth/getUserInfoByWeChatCode', {
        code: res.code,
        ...data
      }).then(loginRes => {
         //存储用户信息
         console.log(loginRes)
         Taro.setStorageSync('userInfo', loginRes.userInfo);
         Taro.setStorageSync('access-token', 'Bearer ' + loginRes.token);
         resolve(loginRes);
      }).catch(err => {
        reject(err);
      })
    }).catch((err) => {
      reject(err);
    })
  });
}

/**
 * 判断用户是否登录
 */
export function checkLogin() {
  return new Promise(function(resolve, reject) {
    if (Taro.getStorageSync('userInfo') && Taro.getStorageSync('access-token')) {
      checkSession().then(() => {
        resolve(true);
      }).catch(() => {
        reject(false);
      });
    } else {
      reject(false);
    }
  });
}
